<script setup>
import { ref } from 'vue';
const msg = ref("Pozdrav")
const a = ref(0);
const b = ref(0);

setInterval(() => {
  msg.value = msg.value + "!"
}, 1_000)

function clear() {
  a.value = 0;
  b.value = 0;
}

function greeting() {
  fetch("/function/hello")
    .then(response => response.json())
    .then(data => msg.value = data.message)
    .catch(err => msg.value = err)
}

</script>

<template>
    <img alt="Vue logo" class="logo" src="./assets/logo.svg" width="125" height="125" />
    <h1>Demo vue</h1>
    <p @click="greeting"> {{ msg }}</p>
    <hr>
    <input type="number" v-model="a"/> + <input type="number" v-model="b"/> = <b>{{ a + b }}</b>
    <br>
    <button @click="clear">Clear</button>


</template>

<style scoped>

</style>
